import request from '@/utils/request'

// 初始化机床项目
export function initMachineProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 分组查询
export function searchGroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 查询采购件入库记录
export function searchRecord1(check1, project, check2, machine, check3, group, check4, name, check5, spec, check6, model, check7, time1, time2, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: `库存管理_入库记录_采购件_查询数据`,
      param: `项目流水号_check=${check1}&项目流水号=${project}&机床流水号_check=${check2}&机床流水号=${machine}&组件流水号_check=${check3}&组件流水号=${group}&名称_check=${check4}&名称=${name}&规格_check=${check5}&规格=${spec}&图号或型号_check=${check6}&图号或型号=${model}&入库时间_check=${check7}&入库开始时间=${time1}&入库结束时间=${time2}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
